> Tous les forums > Forum Linux
 Systême de fichier corrompu?À l'aide!
Ajouter un message à la discussion
Page : [1] 
Page 1 sur 1
Shaika-Dzari
  Posté le 25/11/2004 @ 04:24 
Aller en bas de la page 
Astucien
Bonjour! J'ai installé fedora core 3 hier soir et mon grub.conf original a été détruit... J'ai éditer celui-ci pour redémarrer sous mandrake 10.0 mais au démarrage de mdk j'ai cette erreur un peu inquiètante: Vérification des systêmes de fichier fsck.ext3:filesystem has unsupported feature(s) (/1) e2fsck: Get a newer version of e2fsck! Le systême de fichiers est corrompu Vous voulez-vous réparer? [y,n] Ceci peut endommager les fichiers. Ne sachant pas trop, j'ai dit non... Quelqu'un a une idée? merci beaucoup d'avance @+

Modifié par Shaika-Dzari le 26/11/2004 23:32
Publicité
Logicien
 Posté le 25/11/2004 à 05:21 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Salut, ce qui arrive, c'est que la version du paquetage e2fsprogs, qui contient les outils de formattage et de vérification du système de fichiers ext2(3), est plus récente sur Fedora que sur Mandrake. Mandrake te dit qu'il ne peut pas vérifier les partitions de Fedora car elles contiennent des options non supportées par la version d'e2fsprogs de Mandrake. Solution: mise à niveau des deux version d'e2fsprogs.
Shaika-Dzari
 Posté le 26/11/2004 à 00:10 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien
Merci encore!!! Toujours à l'affut!! [bigsmile] J'ai je crois accès à un shell root pour réparer au démarrage de mandrake. Vais essayé de trouvé ce paquetage ( je prie pour un .rpm!!), le copier sur la partition de mandrake avec fedora et tenter de l'installer. Sinon; y a t-il un moyen d'installer un paquetage sur un autre distribution monté sous le /mnt de Fedora core3 ? (Ça a l'air fou comme idée mais pas impossible...) Hop sur google!
Shaika-Dzari
 Posté le 26/11/2004 à 00:51 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien
Re!![bigsmile][fete][bierre][happy][birthday][clown] Comme vous le deviner j'ai réussi et je suis sous ma mandrake chéri...(je me suis ennuyé...)lol Je réussi à démarré mc et à obtenir ensuite un shell root. Là j'ai du monter ma partition hdb6 dans mon /home et là j'ai installer le tout avec un rpm -Uvh e2fsprogs-1.35-1mdk.i586.rpm Ensuite un reboot et hop ça démarre!!! Il m'a fait une petite erreur ici: ov 25 18:39:07 localhost fsck: Error: ext2fs library version out of date! Nov 25 18:39:07 localhost fsck: e2fsck 1.35 (28-Feb-2004) Nov 25 18:39:07 localhost fsck: ^IUsing EXT2FS Library version 1.34, 25-Jul-2003 Bon ça semble plutôt clair vais cherché cette lib et j'installe le tout... Je dois avouer avoir eu un peu peur mais maintenant, sans vouloir faire de l'égocentrisme, je suis un peu fière d'avoir réussi ce démarrage d'urgence en texte seulement et monté et installe le tout. C'est la preuve qu'en votre bonne compagnie , on apprend plein de choses!!! Merci beaucoup à tous ceux qui ont lu le post et surtout à toi logicien[smile] @+
Shaika-Dzari
 Posté le 26/11/2004 à 18:09 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien
La victoire n'était pas gagné...[triste] Après l'installation de la librairie libext2fs et de e2fsck-devel je me retrouve avec le même problême. Même message d'erreurs... Le pire c'est qu'avec mon ancien lib mandrake avait démarrer. Comment fait-on déjà pour désinstaller avec la commande rpm? rpm -ev ?rpm rv? Je nage là. La version que j'ai installer sur mandrake est la même que celle de fedora alors pourquoi elle me fait des misères? Deux hdd ne sont-il pas supposé être isoler l'un de l'autre? un peu d'aide...[oeilnoir] merci @+
Snowangelic
 Posté le 26/11/2004 à 19:55 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Petit astucien
la commande pour désinstaller c'est rpm -e nom du paquet J'èspère que tu avait installé en -ivh et pas -Uvh !!!!! Bon courage !!!!!
Shaika-Dzari
 Posté le 26/11/2004 à 20:50 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien
Merci Snow! Non justement j'ai fait -Uvh ... Dans ce temps là il détruit l'ancien version je crois. Vais donc devoir aller rechercher l'ancien sur rpmbone et la réinstaller. Je fais ça ce soir et vous redonne des news. Cette FC3 me cause des misères. [smile] @+
Shaika-Dzari
 Posté le 26/11/2004 à 23:32 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien
Re![boom] Là rien ne va plus... Je vais tenter de fournir le plus de détails de ce que j'ai fait: Hier j'ai commencer par installer ceci: e2fsprogs-1.35-1mdk.i586.rpm avec la commande rpm -Uvh ... Après ça mandrake à démarer mais il m'a afficher l'erreurs: nov 25 18:39:07 localhost fsck: Error: ext2fs library version out of date! Nov 25 18:39:07 localhost fsck: e2fsck 1.35 (28-Feb-2004) Nov 25 18:39:07 localhost fsck: ^IUsing EXT2FS Library version 1.34, 25-Jul-2003 J'ai alors installer: rpm -Uvh libext2fs2-1.35-1mdk.i586.rpm rpm -Uvh libext2fs2-devel-1.35-1mdk.i586.rpm Après un reboot j'ai exactement la même erreurs qu'avant tout ces installations... Ayant upgradé, je suis aller sur rpmbone recherché libext2fs2-1.34 qui était ma librairie d'avant et j'ai décidé de flusher les deux nouvelle et de remettre la vieille avec laquelle j'ai réussi à démarer malgré une erreur.. Une fois sous mandrake (en console de réparation root:c'est tout ce que je peux obtenir...), je remonte mon /home et la je me tape un (pour les désinstaller): rpm -e libext2fs2-1.35-1mdk.i586.rpm rpm -e libext2fs2-devel-1.35-1mdk.i586.rpm Réponse: les paquetages ne sont pas installer. [confus] Comprend pas trop...je fais alors: rpm -ivh libext2fs2-1.35-1mdk.i586.rpm réponse: tout est déjà installé [confus] J'ai également essayer de désinstaller e2fsprogs-1.35-1mdk.i586.rpm avec rpm -e mais il me dit aussi que rien n'est installer... Un locate me donne les fichier dans /lib et dans /usr/lib. À l'aide parce que là je suis largué en tabarn...vais péter ma coche, copier mes fichier à partir de fedora et formater le disque[feroce] merci[oeilnoir]
sogemat
 Posté le 27/11/2004 à 00:04 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien
hey shaika, y chauffe pas un peu ton proc ?
Publicité
Shaika-Dzari
 Posté le 27/11/2004 à 00:40 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien
Hein?? Cé une question sérieuse ou? Si cé une question sérieuse: non je ne crois pas.
Shaika-Dzari
 Posté le 27/11/2004 à 00:49 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien
Je viens de vérifier Sogemat dans le bios: Mb température: 32 Celcius CPU 43 Celcius Pour un P4 1800 ça me semble normal... Pourquoi cette question sur la température? @+
sogemat
 Posté le 27/11/2004 à 00:53 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien
heu ..... c'était une question serieuse ;) c'est vrai, ca semble si désordonné ton truc que je me posais (et te la posais du coup !) la question. puisque tu ne semble pas avoir acces à linux, essaie quand meme de voir les temperatures dans le bios.
Shaika-Dzari
 Posté le 27/11/2004 à 00:56 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien
Il sont marquer un peu plus haut...[bigsmile] Cpu 43 Celcius Mb température 32 Celcius Ça me semble normal...
Logicien
 Posté le 27/11/2004 à 01:41 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Sogemat, vraiment, quel lien peut-il y avoir entre une librairie "out of date" et la température du processeur? S'il y en a un, quand Linux m'en avertira, je ferai un shutdown immédiat. [bigsmile] Shaika-Dzari, que donne le résultat des commandes # ldconfig -p | grep ext2 et # ls -l /lib/libext2fs*

Modifié par Logicien le 27/11/2004 01:52
Shaika-Dzari
 Posté le 27/11/2004 à 02:46 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien
Re! [root@localhost shaika-dzari]# ldconfig -p | grep ext2 libext2fs.so.2 (libc6) => /lib/libext2fs.so.2 [root@localhost shaika-dzari]# ls -l /lib/libext2fs* lrwxrwxrwx 1 root root 16 nov 26 00:32 /lib/libext2fs.so.2 -> libext2fs.so.2.4* -rwxr-xr-x 1 root root 90712 avr 1 2004 /lib/libext2fs.so.2.4* [root@localhost shaika-dzari]# Depuis tantôt je m'acharne sur google et je suis tombé sur une référence au fstab (et mtab aussi je crois) qui pouvais causer cette erreur. J'ai alors virée tout ce que j'avais rajouté au fstab notament un entrée pour fedora et du coup mandrake a démarrer. Ce qui est biz, c'est que je l'avait déja faîte une fois avant d'installer le paquetage e2fsprogs. Ce pourrait-il que mon update de librairie ai rétablie la sauvegarde de mon fstab??? Enfin la j'ai démarrer et ça roule très bien. J'ai même faît de suite un reboot pour revoir le chargement du début et tout me semble normal. Logicien [chinois] J'aimerais quand même que tu m'explique si ça ne te dérange pas le rôle de cette e2fsck etc... Ça vérifie à chaque reboot le type de partition et de formatage que j'ai? Y a t-il des différence aux niveau du ext3 pour chaque distrib? Merci encore [chinois] Je vais attendre que mes battements cardiaque décendent avant de marquer clos au sujet... [baston]
Logicien
 Posté le 27/11/2004 à 06:35 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Oui c'est ça, Linux c'est pour le plaisir d'apprendre. Bon, en virant toutes les partitions de Fedora dans le fstab de Mandrake, le e2fsprogs de Mandrake n'a plus à se soucier de la version avec laquelle les partitions de Fedora ont été créées. Mais tu perd du même coup la possibilité de les monter via fstab de Mandrake. Reste la méthode manuelle. Le message de Mandrake fait référence au fait que e2fsck ne peut vérifier les partitions de Fedora. Cela ne t'empêche pas, il me semble, de les monter. Toutefois, tant que tu les montes via Mandrake, la vérification automatique après un certain nombre de montages ne se fera pas et tu as donc intérêt à démarrer Fedora pour le faire. Je m'explique mal pourquoi la mise-à-niveau a échouée, cela doit venir du gestionnaire de paquetages de Mandrake, rpmdrake/urpm. L'alternative à la suppression des partitions de Fedora dans le fstab de Mandrake est de mettre les champs 5 et 6 de ces mêmes partitions à 0 0 . Comme cela, aucune sauvegarde par dump et vérification par e2fsck ne sera faite . Je suis certain qu'il y a une solution plus élégante, chez moi, mes trois Linux, Slackware, Debian et Gentoo vérifient sans problème mes partitions ext3, reiserfs, jfs, partagent deux partitions de swap, en plus de lire et écrire sur C: et D: (Windows).
pico
 Posté le 04/12/2004 à 08:54 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Nouvel astucien
bonjour, je suis débutant ds linux et j'ai installer la mandrake 10.1 je me retrouve avec le meme probleme que Shaika-Dzari! je n'ai pas fedora! que puis je faire?? Merci Tommy
Page : [1] 
Page 1 sur 1

Vous devez être connecté pour poster des messages. Cliquez ici pour vous identifier.

Vous n'avez pas de compte ? Créez-en un gratuitement !


Sujets relatifs
Ubuntu:pas de systeme de fichier racine
Système de fichiers corrompu : que faire ?
Système de Fichier
installer un fichier .jar
aide "transfert" DD/XP vers LINUX
Demande d aide et renseignement ( ubuntu teack )
Problème pour installer fichier msi. avec Wine
Démarrer une image cd/clé usb/disque/disquette/dvd/sd à l'aide de Grub2
Z File Système
Ouvrir et lire un fichier avec Nano
Plus de sujets relatifs à Systême de fichier corrompu?À l''aide!
 > Tous les forums > Forum Linux